package com.tzld.piaoquan.recommend.server.common.base;

import com.tzld.piaoquan.recommend.server.model.Video;

public class RankItem implements Comparable<RankItem> {
    public long videoid;
    private double rankScore;


    public RankItem(Video video) {
        this.videoid = video.getVideoId() ;
        this.rankScore = 0.0 ;
    }


    @Override
    public int compareTo(RankItem o) {
        if (o == null) {
            return -1;
        }
        if (rankScore > o.rankScore) {
            return -1;
        } else if (rankScore < o.rankScore) {
            return 1;
        } else {
            return 0;
        }
    }




}
