package com.tzld.piaoquan.recommend.server.common.enums;

public enum VlogFeatureGroup {
    // video
    VIDEOID,

    // context
    DAY_OF_WEEK,
    SEX,
    ;

    // user


    private final byte[] idBytes;
    private final byte[] nameBytes;

    VlogFeatureGroup() {
        this.nameBytes = name().toLowerCase().getBytes();
        this.idBytes = String.valueOf(ordinal()).getBytes();
    }

    public final int getId() {
        return ordinal();
    }

    public final String getGroupName() {
        return name().toLowerCase();
    }

    public final byte[] getGroupNameBytes() {
        return getGroupName().getBytes();
    }

    public final byte[] getIdBytes() {
        return idBytes;
    }

}
